## org.eclipse.m2m.qvt.oml.debug.core.vm
Class DebugEvaluationEnvironment

    java.lang.Object
      EcoreEvaluationEnvironment
          org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv
              org.eclipse.m2m.qvt.oml.debug.core.vm.DebugEvaluationEnvironment

    public class DebugEvaluationEnvironment

extends org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv

Field Summary

Fields inherited from class org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv
`MAX_STACK_DEPTH`

Constructor Summary
`DebugEvaluationEnvironment(IContext context, org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv parent, long id)`

Method Summary
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` `cloneEvaluationEnv()`
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` `createDeferredExecutionEnvironment()`
`long` `getID()`

Methods inherited from class org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv

`add, add, callOperation, callSetter, clear, copyEnv, copyVariableValueFrom, createExtentMap, createInstance, getAdapter, getContext, getDefaultInstantiationExtent, getDepth, getNames, getOperation, getOperationArgs, getOperationSelf, getParent, getRoot, getThisOfType, getTypeOf, getValueOf, isKindOf, isOclInvalid, navigateProperty, overrides, remove, replace, replace, setOperation, setOperationSelf, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugEvaluationEnvironment

    public DebugEvaluationEnvironment(IContext context,
                                      org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv parent,
                                      long id)

Method Detail

### getID

    public final long getID()

### cloneEvaluationEnv

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv cloneEvaluationEnv()

  Overrides:
    `cloneEvaluationEnv` in class `org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv`

### createDeferredExecutionEnvironment

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv createDeferredExecutionEnvironment()

  Overrides:
    `createDeferredExecutionEnvironment` in class `org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.